Debian Bug report logs - #637910
271 broke -e parsing

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Anthony DeRobertis <anthony@derobert.net>

Date: Mon, 15 Aug 2011 17:30:02 UTC

Severity: important

Found in version xterm/271-1

Fixed in version xterm/276-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#637910; Package xterm. (Mon, 15 Aug 2011 17:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 15 Aug 2011 17:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: 271 broke -e parsing
Date: Mon, 15 Aug 2011 13:04:21 -0400
Package: xterm
Version: 271-1
Severity: important

According to the documentation, and behavior in 270 and previous, the -e
option eats the rest of the command line, passing that as arguments to
the program executed.

In 270, xterm -e mysql -u foo works as expected.
In 270, xterm -e mysql -h foo works as expected.
In 271, xterm -e mysql -u foo works as expected.
In 271, xterm -e mysql -h foo does NOT work.

In 271, the -h variant prints out xterm's help and exits.
In 270, the -h variant does not print anything.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'unstable'), (150, 'stable'), (100, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6                         2.13-10    Embedded GNU C Library: Shared lib
ii  libfontconfig1                2.8.0-3    generic font configuration library
ii  libice6                       2:1.0.7-2  X11 Inter-Client Exchange library
ii  libncurses5                   5.9-1      shared libraries for terminal hand
ii  libutempter0                  1.1.5-4    A privileged helper for utmp/wtmp 
ii  libx11-6                      2:1.4.4-1  X11 client-side library
ii  libxaw7                       2:1.0.9-2  X11 Athena Widget library
ii  libxft2                       2.2.0-3    FreeType-based font drawing librar
ii  libxmu6                       2:1.1.0-2  X11 miscellaneous utility library
ii  libxt6                        1:1.1.1-2  X11 toolkit intrinsics library
ii  xbitmaps                      1.1.1-1    Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.6+3      X11 utilities

Versions of packages xterm suggests:
ii  xfonts-cyrillic               1:1.0.3    Cyrillic fonts for X

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#637910; Package xterm. (Mon, 15 Aug 2011 21:18:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 15 Aug 2011 21:18:45 GMT) Full text and rfc822 format available.

Message #10 received at 637910@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Anthony DeRobertis <anthony@derobert.net>, 637910@bugs.debian.org
Cc: Debian X Strike Force <debian-x@lists.debian.org>
Subject: Re: Bug#637910: 271 broke -e parsing
Date: Mon, 15 Aug 2011 17:00:35 -0400 (EDT)
On Mon, 15 Aug 2011, Anthony DeRobertis wrote:

> Package: xterm
> Version: 271-1
> Severity: important
>
> According to the documentation, and behavior in 270 and previous, the -e
> option eats the rest of the command line, passing that as arguments to
> the program executed.
>
> In 270, xterm -e mysql -u foo works as expected.
> In 270, xterm -e mysql -h foo works as expected.
> In 271, xterm -e mysql -u foo works as expected.
> In 271, xterm -e mysql -h foo does NOT work.

thanks (I completely overlooked that).  Fixing "-e" is fairly simple,
and it's been a while since #271 (since I've been working on a large
ncurses subproject...).  I'll put out a short #272 to cover this.

>
> In 271, the -h variant prints out xterm's help and exits.
> In 270, the -h variant does not print anything.
>
> -- System Information:
> Debian Release: wheezy/sid
>  APT prefers testing
>  APT policy: (500, 'testing'), (200, 'unstable'), (150, 'stable'), (100, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 3.0.0-1-amd64 (SMP w/8 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages xterm depends on:
> ii  libc6                         2.13-10    Embedded GNU C Library: Shared lib
> ii  libfontconfig1                2.8.0-3    generic font configuration library
> ii  libice6                       2:1.0.7-2  X11 Inter-Client Exchange library
> ii  libncurses5                   5.9-1      shared libraries for terminal hand
> ii  libutempter0                  1.1.5-4    A privileged helper for utmp/wtmp
> ii  libx11-6                      2:1.4.4-1  X11 client-side library
> ii  libxaw7                       2:1.0.9-2  X11 Athena Widget library
> ii  libxft2                       2.2.0-3    FreeType-based font drawing librar
> ii  libxmu6                       2:1.1.0-2  X11 miscellaneous utility library
> ii  libxt6                        1:1.1.1-2  X11 toolkit intrinsics library
> ii  xbitmaps                      1.1.1-1    Base X bitmaps
>
> Versions of packages xterm recommends:
> ii  x11-utils                     7.6+3      X11 utilities
>
> Versions of packages xterm suggests:
> ii  xfonts-cyrillic               1:1.0.3    Cyrillic fonts for X
>
> -- no debconf information
>
>
>
>

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#637910; Package xterm. (Mon, 29 Aug 2011 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 29 Aug 2011 00:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 637910@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 637910@bugs.debian.org
Cc: 637910-submitter@bugs.debian.org
Subject: re: #637910 271 broke -e parsing
Date: Sun, 28 Aug 2011 20:43:22 -0400
[Message part 1 (text/plain, inline)]
...it was a little larger than I'd estimated - but is fixed in #273.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Anthony DeRobertis <anthony@derobert.net>:
Bug#637910. (Mon, 29 Aug 2011 00:45:05 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 15 Oct 2011 18:06:06 GMT) Full text and rfc822 format available.

Notification sent to Anthony DeRobertis <anthony@derobert.net>:
Bug acknowledged by developer. (Sat, 15 Oct 2011 18:06:06 GMT) Full text and rfc822 format available.

Message #23 received at 637910-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 637910-close@bugs.debian.org
Subject: Bug#637910: fixed in xterm 276-1
Date: Sat, 15 Oct 2011 18:02:53 +0000
Source: xterm
Source-Version: 276-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_276-1.diff.gz
  to main/x/xterm/xterm_276-1.diff.gz
xterm_276-1.dsc
  to main/x/xterm/xterm_276-1.dsc
xterm_276-1_amd64.deb
  to main/x/xterm/xterm_276-1_amd64.deb
xterm_276.orig.tar.gz
  to main/x/xterm/xterm_276.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 637910@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 15 Oct 2011 19:38:42 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 276-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 486317 637910
Changes: 
 xterm (276-1) unstable; urgency=low
 .
   [ Timo Aaltonen ]
   * Install .desktop files again. (Closes: #486317, LP: #129041)
 .
   [ Julien Cristau ]
   * New upstream release
     + document limitation of Gtk in connection with xterm's "-into" option, in
       the manpage (LP: #806969)
     + fix regression in command-line parsing introduced in patch #271 changes
       for Debian #629358 (closes: #637910)
   * Don't use dh_testroot in clean.
   * Update 900_debian_xterm.diff to only edit the new xterm+kbs fragment in
     both terminfo and termcap instead of adding an xterm-debian variant to
     change the backspace key behaviour.
   * Update copy of XTerm FAQ to revision 1.168 (dated 2011/09/12).
 .
   [ Sven Joachim ]
   * Update 900_debian_xterm.diff:
     - Add xterm-debian terminfo entry as an alias for xterm.
     - Disable rmm and smm features in xterm terminfo entry to match the
       behavior in ncurses-base (see #574396).
Checksums-Sha1: 
 052cbb1d66498bf120291991f76fa03b8991d346 2053 xterm_276-1.dsc
 d157204dff2462a823b5e6fae6fc22cb99ec6339 984475 xterm_276.orig.tar.gz
 9c9f1474647c516a81cad17b84c82e92c7db790e 89228 xterm_276-1.diff.gz
 076d584a401db1f2bcbcc92ecc69d1774b8af249 587018 xterm_276-1_amd64.deb
Checksums-Sha256: 
 3661bc9a771d712c7f406a11c2853839c0872483dc79f3c9b7ef9cb70e5f023e 2053 xterm_276-1.dsc
 ebb0fc38e1d6dfd7ed4e31cbb82e5d3a87a56da5c59d88980e89eef18b0073cc 984475 xterm_276.orig.tar.gz
 28124cc821917a5526b93acb03f438c7772ebd655cb8a22a896a5b1759aa5b3f 89228 xterm_276-1.diff.gz
 d8bce2bb2718ed8abe1ea9e5683dd2724e911595cfb7e71234a380f05356833f 587018 xterm_276-1_amd64.deb
Files: 
 e562af752fb84ad5f02f2fc32801f76b 2053 x11 optional xterm_276-1.dsc
 50ca8ee40e8a0992019f8f35042c9abb 984475 x11 optional xterm_276.orig.tar.gz
 8acea21abe1104aff92717de5abb47e5 89228 x11 optional xterm_276-1.diff.gz
 2e3d297b12389b7f64d616ccb1a8eff6 587018 x11 optional xterm_276-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOmcZzAAoJEDEBgAUJBeQMfvwP/ioipw1c1y2fnXrkQSMtz1ob
3BFPXBLoqVxNupTDmXlWCQQ4dlEPOH3GYwtriBL44SgHWT2tFnFUL0OdPkKhIeQF
tzZjyd7jzljBX3MGU0oV+Hsr+IRIymLZrr8vTbvLPvJuDJdl7cFplL/BThottm79
LIigP0dQpB2z8UOj9Hrq9SzrcyURebKvPf00Z2rLll5qXElZPaALqW88F7iPos8L
oh6v+hJSZKHCrb8Wlo5FisTf0csvMCmwPpqliyZOGUYsfYsbQKhfAH/tdqWHHJRt
h9dLRizKO3uPmwvEtdsPpp8qIGVGGRLMXNlFqB4qKGE4nH3MC964Moe4DnbqDQPy
a8o7/4jaE1LqEAs9x1iiB5fi8B+JLqnPSU+2/OXAYPi/rvQ0Zj+FIbo5ge1LK/TU
op/hQZFc7+S/4jeIGS4m2dqrzpAqZAynyqVkhbpzJp4Jea5E0qQhdL3hh7j1r4bJ
hAHQdXVZU6GCqg/85HnsJkJeHUaD4QJoXIbqtQw/2RU8D6KBdaMt3ty0u6ys6a/y
rISRZoDZwYFkSS3VkxGoqMK/oTOZcRYz5jw6jPnHFKAjGDRNFHPnAp4DjMI8TNQN
zmAkKXtAyqibgng3MGS0Ejy9er0pWP5o+GOb0lQZwrryPw84UJ9/1CoIPnHx5qI6
PRLDS88RwsWRVc156eRR
=rt7G
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Nov 2011 07:33:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:45:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.